%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/

%define		_class		Auth
%define		_pearname	%{_class}_OpenID

Summary:	PHP OpenID
Name:		php-pear-%{_pearname}
Version:	2.2.2
Release:	%mkrel 12
Group:		Development/PHP
License:	Apache License
URL:		http://www.janrain.com/openid-enabled
# php-pear-Auth-OpenID is now hosted on github
# https://github.com/openid/php-openid
# downloading the tarball and repacking it from 
# openid-php-openid-2.2.2-0-ga287b2d.tar.gz to php-openid-2.2.2.tar.bz2
Source0:	php-openid-%{version}.tar.bz2
Patch0:		php-openid-yubico-0.diff
# Patch for CVE-2013-4701
# https://github.com/openid/php-openid/commit/625c16bb28bb120d262b3f19f89c2c06cb9b0da9
Patch1: php-openid-2.2.2-cve-2013-4701.patch
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pgsql
Requires:	php-mysql
Requires:	php-bcmath
BuildArch:	noarch
BuildRequires:	dos2unix

%description
An implementation of the OpenID single sign-on authentication protocol.

This package also supports yubico:
http://code.google.com/p/yubico-openid-server/

%prep

%setup -q -n php-openid-%{version}
%patch0 -p1
%patch1 -p1

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build

%install
install -d %{buildroot}%{_datadir}/pear/%{_class}/OpenID
install -d %{buildroot}%{_datadir}/pear/%{_class}/Yadis

install -m0644 Auth/OpenID.php %{buildroot}%{_datadir}/pear/%{_class}/
install -m0644 Auth/OpenID/*.php %{buildroot}%{_datadir}/pear/%{_class}/OpenID/
install -m0644 Auth/Yadis/*.php %{buildroot}%{_datadir}/pear/%{_class}/Yadis/


%files
%doc NEWS COPYING README examples
%dir %{_datadir}/pear/%{_class}/OpenID
%dir %{_datadir}/pear/%{_class}/Yadis
%{_datadir}/pear/%{_class}/OpenID.php
%{_datadir}/pear/%{_class}/OpenID/*.php
%{_datadir}/pear/%{_class}/Yadis/*.php


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.2.2-12.mga9
+ Revision: 1806779
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.2.2-11.mga8
+ Revision: 1498636
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.2.2-10.mga7
+ Revision: 1273029
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.2.2-9.mga6
+ Revision: 949949
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 2.2.2-8.mga5
+ Revision: 792057
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-5.mga5
+ Revision: 747687
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.2.2-4.mga5
+ Revision: 734031
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-3.mga5
+ Revision: 687173
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 2.2.2-2.mga4
+ Revision: 533769
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 oden <oden> 2.2.2-1.mga4
+ Revision: 475069
- 2.2.2 (slight fedora sync)
- P0: rediffed the yubico patch
- P1: security fix for CVE-2013-4701

* Sun Jan 13 2013 umeabot <umeabot> 2.1.2-5.mga3
+ Revision: 375879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 spuhler <spuhler> 2.1.2-4.mga3
+ Revision: 331319
- drpped in dos2unix the invalid -U option to make it rebuild

* Sun Jan 30 2011 spuhler <spuhler> 2.1.2-3.mga1
+ Revision: 44599
- removed buildroot definition from .spec
- imported package php-pear-Auth_OpenID


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.1.2-3mdv2010.0
+ Revision: 440932
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-2mdv2009.1
+ Revision: 321894
- rebuild

* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-1mdv2009.0
+ Revision: 285169
- import php-pear-Auth_OpenID


* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-1mdv2009.0
- initial Mandriva package (ATrpms import)
